# rtphdrextrepairedstreamid

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstRTPHeaderExtension
                        ╰──rtphdrextrepairedstreamid

## Factory details

Authors: – Matthew Waters <matthew></matthew>

Classification: – `Network/Extension/RTPHeader`

Rank – marginal

Plugin – rtpmanager

Package – GStreamer Good Plug-ins

## Properties

### rid

    “rid” gchararray

The RepairedRtpStreamID (RID) value either last retrieved from the RTP Header extension, or to set on outgoing RTP packets.

Flags : Read / Write

Default value : NULL

Since : 1.22

The results of the search are